CFLAGS = -g -Werror
PROG := ldap_leak
OBJ  := ldap_leak.o

ifeq ($(NOLEAK), 1)
	CFLAGS += -DNOLEAK
endif

all: $(PROG)
$(PROG) : $(OBJ) 
	$(CC) -o $(PROG) $(OBJ) -lldap -llber
clean:
	$(RM) $(OBJ) $(PROG) *~
